#ifndef CONFIG_H 
#define CONFIG_H 

#include <io.h>
#include <signal.h>
#include <iomacros.h>

#define RAMTOP		0x2ff

//PINS
#define LED		BIT1

//DCO 
#define WDTCTL_INIT	WDTPW|WDTCNTCL|WDTTMSEL|WDTIS0|WDTSSEL
#define BCSCTL1_INIT	XT2OFF|RSEL2|RSEL1|RSEL0

#define DCO_FREQ	2457600
#define TAR_TICKS	(DCO_FREQ/64)			// with WDT: 38,4kHz/8192
#define DCO_SETTLE	20				// settle time for DCO

#define TAR_PERIOD	100				// Timer A Period (PWM)
#define TAR_ZERO	(TAR_PERIOD/2)

#define LFXT_RETRY	40000				// retry cycles for LFXT1


// ERRNO
#define PNOXT		4				// no LFXT sync

#endif //CONFIG_H

