/*
 * stepfet/main.c
 *
 * (C) Copyright J. Zastrau, 2004
 * Released under GPL V2
 * 
 * microstepping controller
 * for MSP1232 devices
 *
 * for now: just framework
 */

#include "config.h"
#include "dcoinit.h"
#include "defs.h"

void die(u16);

void
die(unsigned int count)
{
	volatile unsigned int i;

	do
	{
		for(i=0;i<(count<<1);i++)
		{
			P1OUT = ~P1OUT;
			NOP_WAIT(65000);
			NOP_WAIT(65000);
		}
		for(i=0;i<3;i++)
			NOP_WAIT(65000);
	}
	while (1);
}

int
main(void)
{
  P1DIR=LED;    			        //port 1 = output
  P1OUT=LED;           				//set bit 0 in port 1

  dco_init();					// setup DCO
  eint();					// enable Interrupts after DCO setup

  // set up PWM
  TACCR1 = 60;					// set duty cycle (60%)
  TACCTL1 = OUTMOD_TOGGLE_RESET;		// select Toggle/Reset compare mode
  P1SEL |= BIT2;				// output PWM1
  P1DIR |= BIT2;

  for(;;) {              	//infinite loop
  }
}


